// creator  : weidu.exe (version 23100)
// argument : URCHIN2.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~URCHIN2~ 2 // non-zero flags may indicate non-pausing dialogue

IF ~See("Jaheira")
InParty("Jaheira")
!StateCheck("Jaheira",STATE_SLEEPING)
RandomNum(2,1)
Global("urchin2jaheira","AR0400",0)
~ THEN BEGIN 0 // from:
  SAY #14337 /* ~Me ma says you can catch the clap from an elf.  Do you have the clap, elven lady?~ */
  IF ~~ THEN DO ~SetGlobal("urchin2jaheira","AR0400",1)~ EXTERN ~JAHEIRAJ~ 96
END

IF ~See("Minsc")
InParty("Minsc")
!StateCheck("Minsc",STATE_SLEEPING)
RandomNum(2,2)
Global("urchin2minsc","AR0400",0)
~ THEN BEGIN 1 // from:
  SAY #14310 /* ~Ye look stupid, giant one.  Are ye stupid?  I be thinkin' so.~ */
  IF ~~ THEN DO ~SetGlobal("urchin2minsc","AR0400",1)~ EXTERN ~MINSCJ~ 31
END

IF ~See("Valygar")
InParty("Valygar")
!StateCheck("Valygar",STATE_SLEEPING)
RandomNum(2,1)
Global("urchin2valygar","AR0400",0)
~ THEN BEGIN 2 // from:
  SAY #14248 /* ~Are you an adventurer, sir?  Can I grow up to be one just like you?~ */
  IF ~~ THEN DO ~SetGlobal("urchin2valygar","AR0400",1)~ EXTERN ~VALYGARJ~ 0
END

IF ~RandomNum(3,1)~ THEN BEGIN 3 // from:
  SAY #14241 /* ~I bet my daddy could whup your hide!~ */
  IF ~~ THEN EXIT
END

IF ~RandomNum(3,2)~ THEN BEGIN 4 // from:
  SAY #14284 /* ~Can I have one of those, <SIRMAAM>?~ */
  IF ~~ THEN EXIT
END

IF ~RandomNum(3,3)~ THEN BEGIN 5 // from:
  SAY #14326 /* ~Me brother was mugged an' robbed and now 'e's dead.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 6 // from: URCHIN1:7.0
  SAY #14471 /* ~Yer nuthin' but a big liar!~ */
  IF ~~ THEN EXTERN ~URCHIN1~ 8
END

IF ~~ THEN BEGIN 7 // from: URCHIN1:8.0
  SAY #14473 /* ~And wot would 'ey be doin' with people in chains at th' Coronet, aye?  Ever think o' that, ya bleedin' genius?~ */
  IF ~~ THEN EXTERN ~URCHIN1~ 9
END

IF ~~ THEN BEGIN 8 // from: URCHIN1:9.0
  SAY #14475 /* ~Eeeeeew!~ */
  IF ~~ THEN EXIT
END
